# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.


label sonicroute:

scene green hill
with Dissolve(1)
 
"{cps=25}It was a sunny day in the fields of Green Hill."
"{cps=25}You just came around from a long run! It was great day, who would turn down such a nice jog in the sun?"
show sonic happy at slightright with moveinright
s "{cps=25}Phew! Nothing like some good footwork to keep the blood flowing!"
"{cps=25}The blue hedgehog's stomach growled. It seems his stomach was trying to tell him something."
"{cps=25}Sonic chuckled sheepishly."
show sonic neutral
s "{cps=25}I hear you loud and clear! Let's see if we can find a nice chili dog stand to satisfy the both of us."

hide sonic neutral with Dissolve(0.2)
"{cps=25}With that he took off, but after a couple miles he saw something."
"{cps=25}Something black and red in fact...{p}Oh it's Shadow!"

show shadow sleep at left with Dissolve(0.2)
show sonic neutral at right with Dissolve(0.2)

"{cps=25}He was relaxing under a tree. He wasn't moving so Sonic thought he had to be taking a short nap."
"{cps=25}No time like now to disturb him but... {p}He looks so peaceful! Should Sonic really disturb him?"
menu wakeup:
        "{cps=25}What does he do?"
        "Time to test his senses!":
                show sonic smile at reallyright with move
                "{cps=25}Sonic changed his foot position, eyeing Shadow like a target."
                show sonic smile at offscreenleft with fast
                show shadow at reallyleft with fast
                hide sonic
                "{cps=25}With his tongue sticking out of his closed lips - he zoomed past Shadow and caused a huge gust of wind to hit his face."
                show shadow neutral
                "{cps=25}Shadow's eyes snapped open.{i} He didn't look happy...{/i}"
                jump shadowmad

        "Aw, I'll tap him a little.":
                $ shadow_affection += 5
                "{cps=25}Sonic would've felt bad to disturb the other hedgehog's sleep. It's time to be the good person he is and wake him up."
                show sonic at slightleft with move
                "{cps=25}Sonic walked over to the slumbering fellow and tapped his shoulder, causing him to slowly open his eyes."
                show shadow neutral
                jump shadowawake
        
label shadowmad:
show shadow angry at left with move
sh "{cps=25}{b}What the hell?!{/b}"
show sonic happy at right with moveinright
s "{cps=25}Aw c'mon Shadow, it's all in good fun!"
play music "shutup.mp3" fadeout 1
sh "{cps=25}Damn hedgehog, I'll show you!"

hide shadow angry with Dissolve(0.2)
hide sonic happy with Dissolve(0.2)
hide sonic happy with hpunch

"{cps=25}Shadow immediately got up to throw his fist towards Sonic. {w} Sonic looked surprised as he dodged him."
"{cps=25}This went on for a while but after 10 minutes, both of them were more tired than before."
play music "Sonic 1.mp3" fadeout 1
show shadow upset at left with moveinleft
sh "{cps=25}This is a waste of time."
show sonic worry at right with moveinright
s "{cps=25}Geez Shadow, talk about a morning grouch... I was going to offer you a bite to eat!"
"{cps=25}Shadow crossed his arms."
sh "{cps=25}Hmph. After the trouble you caused?"

show sonic neutral 
"{cps=25}Sonic sighed as he got up. He motioned for him to follow, more hungry than before.{w} Shadow surprisingly complied."
jump food

label shadowawake:
sh "{cps=25}Hm? {p}What are you doing here?"
show sonic happy 
s "{cps=25}Good mornin' sleepyhead! I was about to go grab some lunch but then I saw you alone here in these hills."
show sonic neutral at right with move
sh "{cps=25}Hmph. I want to sleep in peace."
s "{cps=25}You {i}suree{/i} you don't want to go eat first?"
"{cps=25}Shadow looked to be thinking. He probably came all the way out here without thinking of food."
"{cps=25}Sonic sensing his hesitance, pulled him up anyway from the shade of the tree."
sh "{cps=25}Huh?"
s "{cps=25}I know you wouldn't just agree with me, so I'll take you there instead!"
"{cps=25}With the tug of his arm, Sonic pulled the grumpy mobian away as he surpisingly allowed him to."
jump food

label food:

play music "collction.mp3" fadeout 1
scene green hill2 
with Dissolve(1)

show shadow neutral at left with Dissolve(0.2)
show sonic happy at right with Dissolve(0.2)

s "{cps=25}Aw yeah, this is happenin'!"
sh "{cps=25}Why do you spout such nonsense...?"
show sonic neutral
"{cps=25}Of course, Shadow and Sonic landed themselves nearby a chili dog stand, and who would've expected Vector to be its host!"
s "{cps=25}Woah!{w} Vector?{w} Good to see you man!"
v "{cps=25}Heya Sonic! I see you brought Shadow with you too! Nice to see the both of you again."
show sonic happy
s "{cps=25}Like-wise big guy!"
sh "{cps=25}Hmph..."
show sonic neutral
"{cps=25}Sonic and Vector had a small catch up. Apparently Vector is working towards buying a ring for Vanilla.{w} How sweet!"
"{cps=25}He then realized Shadow was beginning to look bored. So he nudges him to gain his attention back."
"{cps=25}Time to start talking to him while Vector is busy!"
sh "{cps=25}Hm?"

menu datetopics:
        "{cps=25}What topic should Sonic start with?"
        "Ask about him.":
                $ shadow_affection += 2
                jump hims
        "Ask about his hobbies.":
                $ shadow_affection += 5
                jump hobbis
        "Talk about himself.":
                jump sonicyap
        
label hims:
s"{cps=25}So what's got you out here? I'm actually curious to know!"
sh "{cps=25}It's none of your business."
show sonic worry
s "{cps=25}Aw man, throw a bone will you? It's just me, Sonic the Hedgehog!"
"{cps=25}Shadow looked to be debating before coming clean. It doesn't hurt to relax this one time!"
"{cps=25}He is getting treated to lunch after all."
show sonic neutral
sh "{cps=25}Fine.{w} I just got done shopping with Amy."
sh "{cps=25}For a girl her size, she has a lot on her list."
sh "{cps=25}But I helped her carry."
s "{cps=25}Geez, how much did she make you carry?"
sh "{cps=25}All of it."
show sonic worry
s "{cps=25}All... of it?"
show shadow upset
sh "{cps=25}{i}All of it.{/i}"
"{cps=25}Sonic whistled. Shadow's a strong guy, but he didn't think he was THAT strong."
"{cps=25}Last time Sonic tried, he nearly fell over!"

jump foodorders

label hobbis:
s "{cps=25}What do you do on your free time? Been wondering what someone like you does when no one's looking."
sh "{cps=25}Why should I tell you? So you can bug me then too?"
show sonic happy
s "{cps=25}Hey! I swear I won't, I promise!"
sh "{cps=25}Yeah right."
show sonic neutral
"{cps=25}There was a moment of silence between the two.{w} Shadow sighed."
show shadow upset
sh "{cps=25}I play games."
show sonic shocked
s "{cps=25}YOU PLAY GAMES?! No way!"
s "{cps=25}I never saw you as a gamer! What do you play?"
show shadow neutral
sh "{cps=25}As of lately, FPS."
show sonic worry
s "{cps=25}Oh...{w} yeah that makes sense now that I think about it."
s "{cps=25}Can't give up training even in your spare time, huh?"
sh "{cps=25}No time is ever 'spare time', hedgehog."

jump foodorders

label sonicyap:
show sonic happy
s "{cps=25}Ah man you should've seen the way I was running this morning!"
s "{cps=25}I was like zoomin' and  spinnin'. I love feeling the wind through my quils."
show shadow upset
sh "{cps=25}You think I want to hear you talk about yourself?"
show sonic neutral
s "{cps=25}You signed up for it as soon as you let me drag you here."
sh "{cps=25}I never agreed to come with you."
show sonic happy
s "{cps=25}The fact that you are still here tells me otherwise!"
sh "{cps=25}You are {i}soo{/i} annoying..."

jump foodorders

label foodorders:
show sonic neutral
show shadow neutral

"{cps=25}As soon as the two were finished, Vector was free to take their orders!"
v "{cps=25}Hey guys! Sorry for the wait, are you two ready to order?"
s "{cps=25}You bet'cha!"
sh "{cps=25}I suppose."
v "{cps=25}Great! What'cha buyin'?"

menu foodpicks:
        s "{cps=25}We will get..."
        "Extra Chili Chili Dogs.":
                $ shadow_affection -= 0
                s "{cps=25}We'll have the Extra Chili Chili Dogs!"
                "{cps=25}Shadow looks displeased at what Sonic picked."
                show shadow upset
                sh "{cps=25}I don't need {b}that{/b} much chili."
                jump foodgots

        "Plain & Jalapeño Cheddar Dog.":
                $ shadow_affection += 5
                s "{cps=25}We'll have a Plain and Jalapeño Cheddar Chili Dog!"
                show shadow smirk
                sh "{cps=25}Hmph. Not bad, Sonic."
                sh "{cps=25}You remembered I prefer mine spicy with more cheese on it."
                jump foodgots


        "2 Plain Chili Dogs.":
                $ shadow_affection += 4
                s "{cps=25}We'll have 2 regular dogs please!"
                sh "{cps=25}Hmm..."
                sh "{cps=25}I'd rather have mine with more on it than just chili,{w} but I suppose that will do."
                jump foodgots


        "Force Shadow to pick.":
                $ shadow_affection -= 5
                s "{cps=25}Actually Shadow, what do you suggest?"
                show shadow upset
                "{cps=25}Shadow looks at Sonic displeased. He didn't feel like picking what to eat."
                sh "{cps=25}... We'll have this."
                show sonic worry
                "{cps=25}He said it so sternly. Maybe this wasn't the right choice. {w}He picked out Chili Dogs with Eggs on top, reminding you of Eggman..."
                jump foodgots

label foodgots:
show sonic neutral
show shadow neutral

v "{cps=25}Alright! I'll be making those for you,{w} just give me a couple minutes!"
"{cps=25}Vector scooted back to the stand, and worked away on the ingredients he needed to make their order."
"{cps=25}While Sonic waited he thought about how calm Shadow was being. Usually he'd brush him off or tell him he's busy. {w}Today must be a free day for him."
"{cps=25}Wow, today was getting pretty hot. The sun was beating on Sonic like no tomorrow. He breaks a sweat."
"{cps=25}Shadow looks at Sonic."

jump shadowemo

label shadowemo:
        if shadow_affection == 10:
                jump checkhim
        if shadow_affection <= 10:
                jump ignores

label checkhim:
        $ shadow_affection += 5
sh "..."
sh "{cps=25}You look hot."
show sonic happy
s "{cps=25}Thanks, I think my complexion is coming out nicely."
show sonic neutral
show shadow upset
sh "{cps=25}No,{w} I meant you're burning up."
show shadow smirk
sh "{cps=25}What's wrong? Can't handle the sun? You're practically in it all day."
show sonic shocked
s "{cps=25}Woah woah!{w} Just because I run around doesn't mean I'm immune."
show sonic happy
s "{cps=25}I wasn't created by some alien overlord you know!"
show shadow upset
"{cps=25}Shadow sighed."
sh "{cps=25}Whatever. Go sit in the shade if you can't handle it."
show sonic upset
s "{cps=25}I so can handle it!"
"{cps=25}Sonic sat in the sun for a couple more minutes. His muzzle was turning red and he genuinely looked like he was in pain."
"{cps=25}Sonic sighed harshly."
show sonic at reallyright with move
s "{cps=25}I'm doing this because I want to!{w} {i}Not{/i} because you told me to."
show sonic at offscreenright with move
hide sonic
show shadow smile
hide sonic
"{cps=25}Shadow rolled his eyes. But watching Sonic struggle was quite amusing."
hide shadow with Dissolve(0.2)
jump foodheres

label ignores:
sh "..."
"{cps=25}Shadow looks away. Sonic continues to be burnt by the sun. Why is the sun so cruel?"
hide shadow with Dissolve(0.2)
hide sonic with Dissolve(0.2)
jump foodheres

label foodheres:
"{cps=25}After some time has passed, Vector was done preparing the food."

show shadow neutral at left with Dissolve(0.2)
show sonic neutral at right with Dissolve(0.2)
v "{cps=25}Hey!{w} Food's ready.{w} Eat up!"
show sonic happy
s "{cps=25}Sweet!{w} Thanks Vector."
sh "{cps=25}Thanks."
hide sonic with Dissolve(0.2)
hide shadow with Dissolve(0.2)
"{cps=25}Sonic didn't need to be asked twice! He grabbed the chili dogs in his hand and handed Shadow the other.{w} He took it no matter what they chose."
"{cps=25}Sonic and Shadow spent the morning together. Occasionally talking, and even Vector would join in when no one else was around!"
"{cps=25}Shadow couldn't complain - the day was still nice after all and even the sky was clear. He ate his food without much trouble."
"{cps=25}It was only a few minutes later when they were done! Time does fly when you're having fun."
"{cps=25}Vector chimed in."
show shadow neutral at left with Dissolve(0.2)
show sonic neutral at right with Dissolve(0.2)
v "{cps=25}Before you go, Vanilla and I are trying to plan a double date tomorrow night. I'm sure she'd love the two of you around!"
show sonic worry
"{cps=25}Sonic looked at Shadow... double date? Like...{w} couple double date?"
show sonic blush shy
s "{cps=25}Ohh... uhh.."
sh "{cps=25}..."

label shadowdate:
        if shadow_affection == 15:
                jump sure
        if shadow_affection <= 15:
                jump no

label sure:
sh "{cps=25}Sure."
show sonic shocked
s "{cps=25}Huh?!"
"{cps=25}Sonic looked at Shadow shocked! For a couple different reasons."
"{cps=25}One,{w} HE SAID YES?{w} Two,{w} TO A DOUBLE DATE?{w} Three,{w} HE SAID YES TO A DATE?"
"{cps=25}Shadow noticed Sonic's outburst. His expression turned smug."
show shadow smirk
sh "{cps=25}What's wrong?{w} Can't handle a date?"
show sonic neutral
s "{cps=25}What, {w}no way!{w} I can totally handle this.{w} Definitely better than {i}you{/i}, faker."
sh "{cps=25}Is that a challenge?"
show sonic happy
s "{cps=25}Are my quills blue?"
sh "{cps=25}You're on, hedgehog."
show sonic smile
"{cps=25}Sonic's heart was racing more than usual. This felt weird.{w} He's only felt this way was towards Amy..."
v "{cps=25}Thanks! You two are the best. See you two hedgehogs around!"
show sonic neutral
show shadow neutral
s "{cps=25}Bye Vector!"
sh "{cps=25}See you."
hide shadow neutral  with Dissolve(0.2)
hide sonic neutral  with Dissolve(0.2)
scene day
with Dissolve(1)
jump date1end

label no:
show shadow upset
sh "{cps=25}I have better things to do."
show sonic worry
s "{cps=25}Aw, sorry Vector..."
v "{cps=25}Don't worry about it,{w} maybe Rouge and Knuckles will accept. See you guys around!"
"{cps=25}Sonic felt bad he couldn't spend time with Vector. But it's no use asking to go without a partner."
"{cps=25}Shadow looked uncomfortble and started walking away. Sonic followed close behind."
hide shadow upset with Dissolve(0.2)
hide sonic worry with Dissolve(0.2)
scene day
with Dissolve(1)
jump date1end


label date1end:
play music "fancy.mp3" fadeout 1
show shadow neutral at left with Dissolve(0.2)
show sonic neutral at right with Dissolve(0.2)

"{cps=25}It was well into the afternoon now. Seems Sonic spent the whole morning with Shadow.{w} What a score!"
"{cps=25}Shadow seems to be in a good mood. He was well fed after all."
"{cps=25}What do you plan to do with him now?"
menu spendthenights:
        "{cps=25}What now?{/cps}"
        "Take him home!":
                if shadow_affection == 20:
                        jump BestTrues
                if shadow_affection <= 20:
                        show shadow upset
                        "{cps=25}Shadow doesn't look comfortable enough to have Sonic take him home yet.{/cps}"
                        show shadow neutral
                        jump spendthenights
        "That's enough for today.":
                jump goodbyes
               

####BestTrue
label BestTrues:
show sonic blush shy
s "{cps=25}Hey...{w} Shadow?"
sh "{cps=25}What?"
show sonic shy
"{cps=25}Sonic has been feeling funny all day because of him. It might be love! Sonic has to ask him now."
"{cps=25}Sonic scratched the back of his head. His usual confident exterior crumbling the more he made Shadow wait."
"{cps=25}Shadow looked confused but he waited for him to speak."
show sonic blush at slightright with move
s "{cps=25}How would you feel...{w} about coming back to my place?"
sh "{cps=25}..."
show shadow smile blush at slightleft with move
sh "{cps=25}Consider yourself lucky."
jump sonicplace

label sonicplace:

scene rougebest
with Dissolve(1)
hide screen love_points with Dissolve(1)
show shadow smile blush at slightleft with Dissolve(0.2)
show sonic blush at slightright with Dissolve(0.2)
"{cps=25}What a match! You got Sonic and Shadow together!"
"{cps=25}They went to be the most strongest couple out there! {w}Why not date someone who matches your speed and strength?"
"{cps=25}Of course they were the talk of the town! No one expected Sonic and Shadow to date, especially when they're seen to hate each other so much.{w} The world works in mysterious ways."

scene sonictruend
with Dissolve(1)
with Pause(2.0)
jump demoends



####goodbye

label goodbyes:
s "{cps=25}I had a good time today! Thanks for coming out with me."
show sonic happy
sh "{cps=25}Yeah."
"{cps=25}There was more silence between the two. Sonic looked nervous."
show sonic blush shy
s "{cps=25} Before you go Shadow..{w} I wanna ask you something."
s "{cps=25}Valentine's Day is just around the corner..{w} do you think..."
show sonic neutral
s "{cps=25}You can be my Valentine's?"
"{cps=25}Shadow stares at Sonic for a long time, his silence practically killing him."
jump ending_evaluations
        

################
label ending_evaluations:
        if shadow_affection >= 15:
                jump Bests
        if shadow_affection <= 5:
                jump Worses
        if shadow_affection >= 10:
                jump Okays

label Bests:
show shadow smile blush
sh "{cps=25}Yeah, I'll be your Valentine's. Today wasn't so bad."
show sonic happy
jump demoenda

label Okays:
show shadow smile
sh "{cps=25}I'll consider it."
show sonic worry
jump demoenda

label Worses:
show shadow angry at reallyleft with move
show sonic shocked
sh "{cps=25}No!"
jump demoends

jump demoends

label demoends:
scene lovebg
with Dissolve(1)
"{cps=25}This is the end for now! This is only a DEMO.{w} It'll be updated and upgraded as time goes on. "
"{cps=25}What you played was an updated version of the script, you won't get the good stuff til later. ;)"
"{cps=25}You got a Shadow score of '[shadow_affection]'!"
if shadow_affection == 20:
        "{cps=25}You would've sucessfully dated him! Good Job for such a short script."
        jump demos
if shadow_affection >= 10:
        "{cps=25}You could've gotten a better luck next time. Good work for such a short script."
        jump demos
if shadow_affection <= 5:
        "{cps=25}Oh man you would've failed. Did you pick the worst options on purpose?"
        jump demos
menu demos:
        "{cps=25}Would you like to pick another character?"
        "Yes":
                "{cps=25}Okay! let me take you back."
                jump start
        "No":
                "{cps=25}Okay! See you!"

return