﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define sh = Character("Shadow", color = "#dc0000")
define shadow_affection = 0
define s = Character("Sonic", color = "#3061e3")
define r = Character("Rouge", color = "#ff459c")
define a = Character("Amy", color = "#FD95C6")
define p = Character("[player_name]", color = "#6e56c7")
define w = Character("Waiter", color = "#fff8fb")
define m = Character("Maid", color = "#f981ff")
define v = Character("Vector", color = "#41b111")
define slowdissolve = Dissolve(1.0)
define slowdissolve = Dissolve(1.0)

transform left:
    xalign 0.0
    yalign 1.0
transform slightleft:
    xalign 0.25
    yalign 1.0
transform right:
    xalign 1.0
    yalign 1.0
transform middle:
    xalign 0.50
    yalign 1.0
transform slightright:
    xalign 0.75
    yalign 1.0
transform reallyright:
    xalign 1.25
    yalign 1.0
transform reallyleft:
    xalign -0.12
    yalign 1.0
transform offscreenleft:
    xalign -1.25
    yalign 1.0
transform offscreenright:
    xalign 2.25
    yalign 1.0
define slower = MoveTransition(2.0)
define slow = MoveTransition(1.5)
define fast = MoveTransition(0.3)
define faster = MoveTransition(0.1)


label start:
    $ shadow_affection = 0
    play music "Sonic 1.mp3" fadeout 1
    scene lovebg
    with slowdissolve

    "{cps=25}It's around that time again where you must teach a certain hedgehog about that warm fuzzy feeling!"
    "{cps=25}You will show him the true meaning of {b}Love!{/b}{p}Valentine's Day is near after all."
    "{cps=25}Your goal is to win Shadow's heart in 3 days on 3 different dates! {w} Can you do it? {w}Let's see!"
    
menu characters:
    "{cps=25}Tell me, who do you see yourself being?"
    "A cunning hero.":
        jump sonic
    "A sly thief.":
        jump rouge
    "A passionate fortune.":
        jump amy
    "Someone new.":
        jump player

label sonic:
    "{cps=25}{i}Ah, the cunning hero?{/i} Interesting! It seem you two won't have much to catch up on."
    menu sonic1:
        "{cps=25}Are you fine with this choice? If not, you'll have to go back."
        "Yes":
            "{cps=25}Now that this mysterious hedgehog has someone to talk to, let's see what he's up to! "
            jump accepts
        "No":
            "{cps=25}Oh okay! I'll take you back."
            jump characters
label accepts:
    "{cps=25}Oh before you go.. Remember this. {w}Avoid choosing answers he won't like. Not everything is obvious."
    "{cps=25}Well, so long! Go make this hedgehog happy!"
    jump sonicroute

label rouge:
    "{cps=25}{i}The sly thief huh?{/i} You two will be well acquainted! I'm sure he'll love a pretty face around."
    menu rouge1:
        "{cps=25}Are you fine with this choice? If not, you'll have to go back."
        "Yes":
            "{cps=25}Now that this mysterious hedgehog has someone to talk to, let's see what he's up to! "
            jump acceptr
        "No":
            "{cps=25}Oh okay! I'll take you back."
            jump characters
label acceptr:
    "{cps=25}Oh before you go.. Remember this. {w}Avoid choosing answers he won't like. Not everything is obvious."
    "{cps=25}Well, so long! Go make this hedgehog happy!"
    jump rougeroute


label amy:
    "{cps=25}{i}A passionate fortune?{/i} It should be nice to have someone who sees the good in people."
    menu amy1:
        "{cps=25}Are you fine with this choice? If not, you'll have to go back."
        "Yes":
            "{cps=25}Now that this mysterious hedgehog has someone to talk to, let's see what he's up to! "
            jump accepta
        "No":
            "{cps=25}Oh okay! I'll take you back."
            jump characters
label accepta:
    "{cps=25}Oh before you go.. Remember this. {w}Avoid choosing answers he won't like. Not everything is obvious."
    "{cps=25}Well, so long! Go make this hedgehog happy!"
    jump amyroute

label player:
    "{cps=25}No one familiar? Okay... what is your name?"
    $ player_name = renpy.input("Write down your name!")

    $ player_name = player_name.strip()
    
    if player_name == "":
        $ player_name="Player"
        "{cps=25}[player_name]? Okay! You will have to do then."
        "{cps=25}This part of the sim isn't complete. Mostly because I'm too lazy to get this done and you have a LOT of options."
    menu player1:
        "{cps=25}Are you fine with this choice? If not, you'll have to go back."
        "Yes":
            "{cps=25}Now that this mysterious hedgehog has someone to talk to, let's see what he's up to! "
            jump acceptp
        "No":
            "{cps=25}Oh Okay! I'll take you back."
            jump characters

label acceptp:
    "{cps=25}Oh before you go.. Remember this. {w}Avoid choosing answers he won't like. Not everything is obvious."
    "{cps=25}Well, so long! Go make this hedgehog happy!"
    jump playerroute

  


return
